ARCHIVE_WRITE_DATA(3) BSD Library Functions Manual ARCHIVE_WRITE_DATA(3)

NAME

archive_write_data — functions for creating archives

LIBRARY

Streaming Archive Library (libarchive, -larchive)

SYNOPSIS

#include <archive.h>

ssize_t

archive_write_data(struct archive *, const void *, size_t);

DESCRIPTION

Write data corresponding to the header just written.

RETURN VALUES

This function returns the number of bytes actually written, or -1 on error.

ERRORS

Detailed error codes and textual descriptions are available from the archive_errno() and archive_error_string() functions.

SEE ALSO

tar(1), libarchive(3), archive_write_finish_entry(3), archive_write_set_options(3), cpio(5), mtree(5), tar(5)

BSD February 2, 2012 BSD